Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 176892 - dev-db/libpq-8.2.4 reslot to 5?
Summary: dev-db/libpq-8.2.4 reslot to 5?
Status: VERIFIED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Gentoo Linux bug wranglers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-05-03 08:09 UTC by Graham Murray
Modified: 2011-05-16 11:15 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Graham Murray 2007-05-03 08:09:42 UTC
libpq is already slotted and dev-db/libpq-8.2.4 installs libpq.so.5. Therefore the upgrade requires a rebuild (which revdep-rebuild finds) of all installed packages using libpq. If libpq-8.2.4 were placed in slot 5, existing client applications would not need to be immediately rebuilt but continue to use libpq.so.4 and will still communicate with the server running 8.2.x.
Comment 1 Jakub Moc (RETIRED) gentoo-dev 2007-05-03 08:30:25 UTC
Slotted postgresql won't get into the tree now. Needs more testing and work in the overlay.
Comment 2 Matt Michalowski 2007-05-08 00:10:22 UTC
Related to this,

dev-dev/libpq-8.2.4 installs /usr/lib/libpq-5.a, but installs a symlink libpq.a -> libpq-${SLOT}.a, ie. in this case libpq-4.a which doesn't exist.
Comment 3 Kent Fredric (IRC: kent\n) gentoo-dev 2007-10-01 07:36:57 UTC
after a friend lamenting to me the exact same problem I decided I would just stop using pdns to get around, I decided to look into the problem a bit further. 

 cat /usr/portage/dev-db/libpq/libpq-8.2.4.ebuild

<--snip-->
SLOT="4"
<--snip-->
src_install() {
<--snip-->
        dosym libpq-${SLOT}.a /usr/$(get_libdir)/libpq.a
<--snip-->

file /usr/lib/libpq.a
/usr/lib/libpq.a: broken symbolic link to `libpq-4.a'

qlist libpq | grep "\/libpq\...."
/usr/lib/libpq.so.5.0
/usr/lib/debug/usr/lib/libpq.so.5.0.debug
/usr/lib/libpq.so.5

hmm. No libpq-4. funny that. 


<pkgmetadata>
        <herd>postgresql</herd>
</pkgmetadata>

Assign Plz ? 

THeres about 3 different easy ways to get around this problem of course ;) Just needs somebody with commit rights to choose which is most sane and get it done :)
Comment 4 Jakub Moc (RETIRED) gentoo-dev 2007-10-01 07:41:30 UTC
This bug is about slotted postgresql; if you have issues with libpq, file a *new* bug please. Thanks.
Comment 5 Aaron W. Swenson gentoo-dev 2011-05-16 11:15:05 UTC
Doesn't get any later than this. Package no longer exists.